diff gsm-fw/cdg/makecdg.sh @ 654:95c433d8c274

gsm-fw/cdg: LoCosto version of cdginc regenerated
author Michael Spacefalcon <msokolov@ivan.Harhan.ORG>
date Thu, 25 Sep 2014 09:46:42 +0000
parents
children a0014ba30d71
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/gsm-fw/cdg/makecdg.sh	Thu Sep 25 09:46:42 2014 +0000
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+set -e
+
+if [ $# != 1 ]
+then
+	echo "Usage: %s config-name" 1>&2
+	exit 1
+fi
+
+if [ ! -f "fflags-$1.h" ]
+then
+	echo "error: specified configuration is not known" 1>&2
+	exit 1
+fi
+
+rm -rf tempout
+mkdir tempout
+TZ=GMT nowhine ccdgen.exe -h -m512 -a2 -ifflags-$1.h -otempout -Rpdf-mdf-list
+
+echo "Converting from CRLF to UNIX line endings"
+
+rm -rf cdginc-$1
+mkdir cdginc-$1
+
+for i in `cat gen-file-list`
+do
+	fromdos < tempout/$i > cdginc-$1/$i
+done